如何在Ubuntu系统中共存多个PHP版本并快速切换 实例教程

Posted Posted in Web, 运维

有时,最新版本的安装包可能无法按预期工作。你的程序可能与更新的软件包不兼容,并且仅支持特定的旧版软件包。在这种情况下,你可以立即将有问题的软件包降级到其早期的工作版本。请参阅我们的旧指南,在这了解如何降级 Ubuntu 及其衍生版中的软件包以及在这了解如何降级 Arch Linux 及其衍生版中的软件包。但是,你无需降级某些软件包。我们可以同时使用多个版本。例如,假设你在测试部署在 Ubuntu 18.04 LTS 中的LAMP 栈的 PHP 程序。过了一段时间,你发现应用程序在 PHP 5.6 中工作正常,但在 PHP 7.2 中不正常(Ubuntu 18.04 LTS 默认安装 PHP 7.x)。你打算重新安装 PHP 或整个 LAMP 栈吗?但是没有必要。你甚至不必将 PHP 降级到其早期版本。在这个简短的教程中,我将向你展示如何在 Ubuntu 18.04 LTS 中切换多个 PHP 版本。它没你想的那么难。请继续阅读。

….[阅读全文]

快速一键安装LNMP环境:自动开启TLS与PHP\MariaDB支持

Posted Posted in VPS/云主机, Web, 建站, 运维

LNMP是一个非常经典的Nginx/MySQL/PHP等Web环境一键安装包,支持Nginx、Apache或者前端Nginx+后端Apache,支持多PHP版本(目前可以安装PHP 7.3)以及常用缓存组件Redis/Xcache等的安装。

LNMP一键安装包目前已经更新了1.6版本,相对于以前的版本,主要是增加PHP 7.3、MariaDB 10.3、Nginx/Apache TLS 1.3支持。有想要体验一下TLS 1.3的朋友可以升级自己的LNMP了,LNMP 1.6安装后会自动开启TLS 1.3。

如果你手里有VPS主机想要用于建站的话,推荐用Oneinstack或者LNMP来 ….[阅读全文]

简单针对Nginx/WordPress/PHP代码的设置方案:网站屏蔽和阻止特定地区IP访问

Posted Posted in Linux, VPS/云主机, WordPress, 建站, 系统

有不少的朋友搭建了外贸站的朋友想要限制自己的网站不让国内的IP访问,也有一些朋友网站存放的资源可能因为各种原因需要阻止特定的IP访问,还有一些朋友看到攻击源IP大部分来自国外,想要阻止国外的IP访问网站。

无论是出于什么原因,屏蔽和阻止特定地区和国家的IP访问都是我们日常建站中经常要用到的。如果你用的是PHP,比较简单的方法就是在PHP文件加入判断IP的代码,利用IP库进行比对,如果IP为限定访问范围内,则阻止其继续访问。

如果网站是Nginx,则可以直接使用Nginx-ngx_http_geoip_module模块,该模块可以精确到国家、省、市等一级的IP,并且全部由Nginx执 ….[阅读全文]

使用php代码让你的WordPress网站无需插件即可生成sitemap.xml网站地图

Posted Posted in WordPress, 建站, 经验, 菜鸟

虽然本站使用了自动生成sitemap.xml的插件,但是由于种种原因让一些诸如:360搜索、搜狗搜索、神马搜索等国内奇葩搜索引,因为对于https加密网站的支持性不好导致无法获取到sitemap.xml。

所以我决定使用使用php代码生成sitemap.xml然后在通过Linux内部任务计划将其下载到一个http节点,随后提交到各个搜索引擎的站长平台。该php代码可以同时生成首页、文章、单页面、分类和标签的 sitemap.xml,现在分享给大家! ….[阅读全文]

服务器优化调参之解决php-fpm占用内存过大以及不释放内存问题

Posted Posted in Web, 笔记, 菜鸟, 运维

**本文同样适用于1G内存小型VPS的用参考户**

最近发现博客的内存老是隔三差五地被“吃掉”了,登录到后台后偶尔会出卡顿的情况,一开始怀疑是Swap不够导致的,于是给VPS主机增加了几个G的Swap,观察了一段时间后发现再大的Swap也被慢慢地“吃掉”了!

很显然是PHP某些服务一直在占用着VPS的内存没有释放,导致物理内存耗尽后调用了Swap,显然Swap没有物理内存运行的效率高,于是就出现了进程卡死的情况了。考虑到挖站否现在用的Wordpress用的主题与插件过多,出现这样的情况也是正常。

….[阅读全文]